<?php

namespace App\Http\Controllers;

use App\Http\Requests\CartRequest;
use App\Services\Carts\CartServiceImpl;
use Exception;

class CartController extends Controller
{

    protected CartServiceImpl $cartServiceImpl;
    
    public function __construct(CartServiceImpl $cartServiceImpl) 
    {
     $this->cartServiceImpl = $cartServiceImpl;
    }
  
    public function addToCart(CartRequest $cartRequest)
    {
        try{
         
            $cartItem = $this->cartServiceImpl->addToCart($cartRequest->validated());

            return  response()->json([
                'success' => true,
                'message' => 'Product add updated in cart',
                'data' => $cartItem
            ]);
        }
       
        catch(Exception $e){
            
            return response()->json([
                'success' => false,
                'message' => $e->getMessage(),
                'data' => []
            ]);
        }
        
    }
 
   public function getUserCart()
   {
     $userCart =  $this->cartServiceImpl->getUserCart();

     return response()->json(['success' => true
                         , 'message' => 'user cart'
                         , 'data' => $userCart]);
   }
  }
