<?php

namespace App\Http\Controllers;

use App\Models\Wishlist;
use Illuminate\Http\Request;

class WishlistController extends Controller
{
    public function addToWishlist(Request $request)
    {
        $request->validate([
            'product_id' => 'required|exists:products,id',
        ]);

        $existingWishlistItem = Wishlist::where('user_id', authUser()->id)
            ->where('product_id', $request->product_id)
            ->first();

        if ($existingWishlistItem) {
            return response()->json(['success' => false, 'message' => 'Product already in your  wishlist.', 'data' => []]);
        }

        Wishlist::create([
            'user_id' => authUser()->id,
            'product_id' => $request->product_id,
        ]);

        return response()->json(['success' => true, 'message' => 'Product added to wishlist successfully.', 'data' => []], 201);
    }
}
