<?php

namespace App\Repositories\Cart;

use App\Models\Cart;
use App\Repositories\Cart\CartRepository;
use Exception;
use Illuminate\Support\Facades\DB;


class CartRepositoryImpl implements CartRepository
{

    public function addToCart(array $data)
    {
        DB::beginTransaction();
        try 
        {
        
            $userId = auth()->user()->id;
            $cartItem = Cart::where('user_id', $userId)
                ->where('product_id', $data['product_id'])
                ->first();
        
            if ($cartItem) {
               
                $cartItem->quantity += $data['quantity'];
                $cartItem->save();
            } else {
               
                $cartItem = Cart::create([
                    'user_id' => $userId,
                    'product_id' => $data['product_id'],
                    'quantity' => $data['quantity'],
                ]);
            }
        
            DB::commit();
        
            return $cartItem;
        } 
        
        catch (Exception $e) {
            DB::rollBack();
            return $e->getMessage();
        }
        
          
    }
    
     public function getUserCart()
    {            
        
        $userId = Auth()->user()->id;$userCart = Cart::where('user_id', $userId)
        ->with('user')
        ->with('product.brand')
        ->get();
      
        return $userCart;
    }

}
