<?php

namespace App\Repositories;

use App\Models\User;
use Illuminate\Support\Facades\Auth;

class UserRepository
{

    public function create(array $data)
    {
        $createUser = User::create([
            'first_name' => $data['first_name'],
            'last_name' => $data['last_name'],
            'email' => $data['email'],
            'phone' => $data['phone'],
            'password' => $data['password'],
        ]);

        return $createUser;
    }


    public function attemptLogin(array $credentials)
    {
        // Attempt to authenticate the user
        if (!Auth::attempt($credentials)) {
            return false;
        }

        // Retrieve the authenticated user
        $user = Auth::user();

        // Generate a token (assuming you are using Laravel Sanctum or Passport)
        $token = $user->createToken('auth_token')->plainTextToken;

        // Attach the token to the user object for return
        $user->token = $token;

        return $user;
    }
}
