<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('users', function (Blueprint $table) {
            
            $table->id(); // Primary key
            $table->string('first_name'); // First name
            $table->string('last_name'); // Last name
            $table->string('phone'); // Phone
            $table->string('email')->unique(); // Email
            $table->string('password'); // Password
            $table->string('birthday')->nullable(); // Birthday
            $table->string('gender')->nullable(); // Gender
            $table->string('nationality')->nullable(); // Nationality
            $table->tinyInteger('role_as')->default(0); // Role (default is 0)
            $table->rememberToken(); // Remember token for "remember me" functionality
            $table->timestamps(); // Created at and updated at timestamps
        
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('users');
    }
};
