<?php

use App\Models\Product;
use App\Models\Section;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('section_products', function (Blueprint $table) {

            $table->id();
            $table->foreignIdFor(Section::class, 'section_id')->index('section_id')->onDelete('restrict');
            $table->foreignId(Product::class, 'product_id')->index('product_id')->onDelete('restrict');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('section_products');
    }
};
