<?php

use App\Models\Brand;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Models\Campaign;
use App\Models\Category;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('campaign_contexts', function (Blueprint $table) {
            $table->id();            
            $table->foreignIdFor(Brand::class,'brand_id')->nullable();
            $table->foreignIdFor(Campaign::class, 'campaign_id')->index('campaign_id')->onDelete('cascade');
            $table->foreignIdFor(Category::class, 'category_id')->nullable()->index('category_id')->onDelete('cascade');
            $table->boolean('is_global')->default(false);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('campaign_contexts');
    }
};
